Roto Toon plug-in, Main Blur group

The Main Blur group sets the Blur style and Color properties used by the Roto Toon rotoscoping algorithm. To a large degree, the Main Blur group determines how detailed or soft the rotoscoping effect of the entire cartoon is. This is where Roto Toon's beautiful cartoon look starts.

By default, the Main Blur group affects both the color fields and outlines of the cartoon. If you want to affect the blur quality of the outlines separately from the color fields, then go to the Outline Blur group and uncheck Use Main Blur. Blur options are an important subset of many other Roto Toon effects.

All controls for the Main Blur group. For info about Use Main Blur, go to the Outline Blur page.

At left, the original footage from Artbeats Stock, www.artbeats.com. At right, the default Main Blur group settings.

Blur Type pop-up

Three Blur methods let you choose the type of blending and smoothing that occurs among the color fields and line segments created by Roto Toon. Select whether the rotoscoping algorithm will use a Box Blur, Gaussian Blur or Supersmart Blur. Each Blur Type will unlock different Blur options, which are explained on this page. You can also turn off the Main Blur by selecting None.

Blur Type> Box Blur

Box Blur is selected by default. This option will generally give you the best final results. In this blurring technique, each pixel in the resulting image has a value equal to the average value of its neighboring pixels in the input image. A Box Blur can approximate a Gaussian Blur effect, but it uses a much simpler algorithm which is significantly faster.

Blur Type> Gaussian Blur

Gaussian Blur tends to soften the image. This blurring technique typically reduces image noise and reduces detail. The Gaussian formula produces concentric circles of distribution from a center point, with the original pixel's value receives the heaviest weight and neighboring pixels receive smaller weights as their distance from the original pixel increases. This results in a smooth blur that preserves boundaries and edges better than more uniform blurring options.

Blur Type> Supersmart Blur (NEW to v2.0)

Supersmart Blur creates a smarter, more detailed blur. This option will smooth and simplify an image or frames of a video while still maintaining high-contrast detail. The advantage of Supersmart is that it can be better at at removing unwanted noise and artifacts, while still leaving each frame relatively crisp and in focus.

Box Blur and Gaussian Blur are based on bilateral filtering, with some additional tweaks. Supersmart Blur is a smart blur that is based on a different principle. You will see less difference between the Box and Gaussian Blurs than you will in comparison to the Supersmart Blur.

Blur Type> None (NEW to v2.0)

To disable the Main Blur group and run Roto Toon without a primary blur, select None. This Blur Type disables all of the Main Blur controls.

Left to right: Default results for Box Blur, Gaussian Blur, Supersmart Blur. Box and Gaussian always have less difference than Supersmart.

Radius

This control is active when Box Blur or Gaussian Blur are chosen.

Radius defines the 'radius', or size of the area in an original video frame, whose pixel colors are blended together. This blend area sets the color of each pixel in a blurred video frame of the selected Blur Type.

The default is 4 and value range is 0 to 30. A higher Radius value will smooth out the segment edges between the dark, midtone and highlight colors. The edges will become more rounded, especially if you have Threshold (Thresh) set higher than the default value. At a higher Radius, the image will be translated into fewer lines. A value of 0 will turn off the Blur Type (the equivalent of selecting None as the Blur Type).

Left to right: Radius 3, 10, 30. Box Blur on. A higher Radius makes fewer lines, rounder edges and less detail in the footage. Everything blends more smoothly.

Threshold (abbreviated as 'Thresh')

This control is active when Box Blur or Gaussian Blur are chosen.

Threshold determines how similar or dissimilar colors will be affected by the blurring before being passed to the edge detection algorithm. Default is 20 and the value range is 1 to 35. The higher this value is, the wider the range of colors that will be blurred together.

You can look at Threshold as working similarly to the Tolerance value for Adobe Photoshop's Magic Wand selection tool. Only colors that are inside the Radius' area definition and within the Threshold/Tolerance of the color at the center of the blur will be blurred together.

Left to right: Thresh 5, 15 and 35. At a higher value, there is more blend/blur between colors.

At left, Radius 10, Thresh 15. At right, Radius 10, Thresh 20. Setting the Thresh higher than its default changes the effect of Radius.

Quality pop-up

This control is active when Box Blur or Gaussian Blur are chosen.

The Quality menu lets you switch between a quick-and-dirty and a high-quality blur. The pop-up menu has two options, a Fast blur and High blur. Where you leave this option depends in part upon how fast your system is. The Fast setting renders more quickly but with less detail. The High setting takes longer to render but gives more definition to the edges. Leave Quality set to Fast when you need interaction to be relatively quick. Always set it to High before rendering the image as a final output.

The Blur Quality value determines the amount of detail that is affected by any setting. The image edges won’t hold as true to the original image at a lower Fast Quality than at the High Quality setting.

Note about Supersmart controls

You can look at Blurring, Test Radius and Blur Radius as three controls that work directly with each other when Supersmart Blur is chosen.

Imagine that Blur Radius creates a blurred image from the original source footage. Supersmart Blur wants to blend the original and blurred images together. To do this, Blurring and Test Radius work together to create something like an alpha channel for the Supersmart blending. Where the level of detail/contrast is high in the original image, more of that original shows up in the final blended result. Where the level of detail/contrast is low, less of the original image shows up in the result.

At left, the original footage from Artbeats Stock, www.artbeats.com. At right, Roto Toon's default Supersmart Blur settings.

Blur Radius (NEW to v2.0)

This control is active when Supersmart Blur is chosen.

As mentioned above, Blur Radius essentially generates a blurred image from your original image. Values go from 0 to 30. The default is 10. At higher values, the blurred image that Supersmart Blur creates is blurrier. This blurry image is then selectively blended with the original image to produce the output. A value of 0 will turn off the Blur Type (the equivalent of selecting None as the Blur Type).

In our experiments, Supersmart Blur gives the best results when Blur Radius is kept around twice Test Radius, but your mileage may vary (see examples below in Test Radius).

Left to right: Blur Radius of 1 and 30. The higher the value, the more blurry the image is.

Left to right: Blur Radius of 1 and 30 (same as above). The difference in Blur Radius is more apparent with outlines turned off.

Blurring (NEW to v2.0)

This control is active when Supersmart Blur is chosen.

Blurring creates a defined amount of blurring on the image. Values range from 0 to 100. The default is 25% and this creates a slight blur. A value of 0 will turn off the Blur Type (the equivalent of selecting None as the Blur Type).

At 0%, Blurring copies the original image to the output, so none of the image is blurred. At 100%, it copies the blurred image (that Blur Radius has made) to the output, so all of the image is blurred. At mid-range values like 50%, Supersmart Blur creates an intermediate blend of the original and blurred images.

Left to right: Blurring of 1, 50 and 100. The higher the value, the more blurring there is. Outlines are turned off to better show the results.

Test Radius (NEW to v2.0)

This control is active when Supersmart Blur is chosen.

Test Radius has a unique role. It tests or measures the contrast and level of detail in a defined area (or 'radius') of the original image. This lets Supersmart Blur figure out how much level of detail there is in each part of the source image so it can work its magic.

The default is 5. Values range is 0 to 30. Higher values sample from a larger area (or radius) of the image. A value of 0 will turn off the Blur Type (the equivalent of selecting None as the Blur Type).

At left, Test Radius of 1, Blur Radius of 5. In middle, Test Radius 10, Blur Radius 20. At right, Test Radius 20, Blur Radius of 30.
We think the results of Test Radius look best when Blur Radius is double its value.